%define upstream_name    Shell-Perl
%define upstream_version 0.0022

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dumpers for Shell::Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Shell/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This is the implementation of a command-line interpreter for Perl. I wrote
this because I was tired of using B<irb> when needing a calculator with a
real language within. Ah, that and because it was damn easy to write it.

This module is the heart of the B<pirl> script provided with B<Shell-Perl>
distribution, along with this module.

EXAMPLE SESSION
        $ pirl
        Welcome to the Perl shell. Type ':help' for more information
    
    
        pirl @> 1+1
        2
    
        pirl @> use YAML qw(Load Dump);
        ()
    
        pirl @> $data = Load("--- { a: 1, b: [ 1, 2, 3] }\n");
        { a => 1, b => [1, 2, 3] }
    
        pirl @> $var = 'a 1 2 3'; $var =~ /(\w+) (\d+) (\d+)/
        ("a", 1, 2)
    
        pirl @> :q

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/pirl
/usr/share/man/man1/pirl.1.xz



%changelog

* Thu Nov 24 2011 kharec <kharec> 0.2.200-1.mga2
+ Revision: 171621
- imported package perl-Shell-Perl


* Thu Nov 24 2011 cpan2dist 0.0022-1mga
- initial mageia release, generated with cpan2dist
